This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1019917 - uploading bundle missing compliance attribute should have descriptive error message
uploading bundle missing compliance attribute should have descriptive error m...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.10
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 1019919
  Show dependency treegraph
 
Reported: 2013-10-16 11:45 EDT by John Mazzitelli
Modified: 2014-04-23 08:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1019919 (view as bug list)
Environment:
Last Closed: 2014-04-23 08:31:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2013-10-16 11:45:07 EDT
upload a new bundle distro file that is missing the compliance attribute in the deployment-unit element of the receipe.

make sure the error message is clear what's wrong.
Comment 1 John Mazzitelli 2013-10-16 13:59:21 EDT
The wizard shows this less-than-helpful message:

"[Distribution File] Failed to upload bundle distribution file
java.lang.Exception: Failed to parse the bundle Ant script."

The message center shows this message:

"[Distribution File] <strong>Failed to upload bundle distribution file</strong><br> java.lang.Exception: Failed to parse the bundle Ant script.<br>"
Comment 2 John Mazzitelli 2013-10-16 17:11:42 EDT
git commit to master : adef14a
Comment 3 Heiko W. Rupp 2013-10-17 04:58:30 EDT
While I still think the message could omit all that "technical" stuff (exception package names etc), this is now at least descriptive enough that users can understand why the upload failed.

Thanks
Comment 4 Heiko W. Rupp 2014-04-23 08:31:21 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.